org.apache.sysds.runtime.instructions.cp

## Class UnaryCPInstruction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.Instruction
  - - org.apache.sysds.runtime.instructions.cp.CPInstruction
    - - org.apache.sysds.runtime.instructions.cp.ComputationCPInstruction
      - - org.apache.sysds.runtime.instructions.cp.UnaryCPInstruction

- All Implemented Interfaces:
    LineageTraceable
  Direct Known Subclasses:
    AggregateUnaryCPInstruction, DataGenCPInstruction, DnnCPInstruction, IndexingCPInstruction, MMChainCPInstruction, MMTSJCPInstruction, QuantileSortCPInstruction, ReorgCPInstruction, ReshapeCPInstruction, StringInitCPInstruction, UaggOuterChainCPInstruction, UnaryFrameCPInstruction, UnaryMatrixCPInstruction

      public abstract class UnaryCPInstruction
      extends ComputationCPInstruction

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.cp.CPInstruction

      `CPInstruction.CPType`

    - ### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

      `Instruction.IType`

  - ### Field Summary

    - ### Fields inherited from class org.apache.sysds.runtime.instructions.cp.ComputationCPInstruction

      `input1, input2, input3, output`

    - ### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

      `DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UnaryCPInstruction` | `parseInstruction(String str)`

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.cp.ComputationCPInstruction

      `getInputs, getLineageItem, getOutput, getOutputVariableName`

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.cp.CPInstruction

      `getCPInstructionType, getGraphString, getType, preprocessInstruction, processInstruction, requiresLabelUpdate, updateLabels`

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

      `getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, getPrivacyConstraint, postprocessInstruction, printMe, setInstID, setLocation, setLocation, setLocation, setLocation, setPrivacyConstraint, setPrivacyConstraint, toString, updateInstructionThreadID`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.sysds.runtime.lineage.LineageTraceable

      `getLineageItems, hasSingleLineage`

- - ### Method Detail

    - #### parseInstruction

          public static UnaryCPInstruction parseInstruction(String str)

Copyright © 2020 The Apache Software Foundation. All rights reserved.